www.cendio.com

Bug 4546

Summary: Let tl-setup automatically fix broken Ubuntu 12.10 /usr/lib/lsb/install_initd
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: Server OSAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: aaron_tester
Version: 3.2.0   
Target Milestone: 4.1.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 4439    
Bug Blocks:    

Description From cendio 2013-02-25 14:44:59
Currently, we are documenting how to fix the broken Ubuntu
/usr/lib/lsb/install_initd. Since Canonical never gets around to actually
fixing this bug, perhaps we should consider letting tl-setup automatically do
the correction.
------- Comment #1 From cendio 2013-02-27 10:36:09 -------
Another option is to use Ubuntu's own tools (update-rc.d) instead of the LSB
ones.
------- Comment #2 From cendio 2013-04-04 16:34:00 -------
(In reply to comment #1)
> Another option is to use Ubuntu's own tools (update-rc.d) instead of the LSB
> ones.

Agreed, r26950.

Tester should consider whether or not we need to remove the workaround from
Platform Specific Notes after the release - IMO it can stay there for the time
being, though. Closing.
------- Comment #3 From cendio 2013-04-08 08:46:41 -------
Stealing bug, will try to get rid of dependency of update-rc.d.
------- Comment #4 From cendio 2013-04-08 11:05:30 -------
Fixed in 26977.
------- Comment #5 From cendio 2013-05-13 12:48:27 -------
Tested on Ubuntu 13.04 32-bit. Works. Closing.
------- Comment #6 From cendio 2013-05-13 15:56:12 -------
It's perhaps worth noting that the initial check for a broken install_initd
produces an Apport error message when installing in GUI mode. Probably not
worth re-opening the bug for, though.